import { Flex, FlexOptions } from "./Flex.js";
import { PDFElement } from "./PDFElement.js";
import { TextOptions } from "./Text.js";

import { Checkbox } from "./Checkbox.js"
import { Text } from "./Text.js"

export function flex(children: PDFElement[], options: Partial<FlexOptions>): Flex {
  return new Flex({ ...options, children });
}

export function text(content: string, options: TextOptions): Text {
  return new Text(content, options);
}

export function checkbox(width: number, height: number): Checkbox {
  return new Checkbox(width, height);
}

export { Text, Checkbox, Flex }